const {
  api_mobile_logout
} = require('../../utils/api.js');
const {
  net
} = require('../../utils/net.js');
const util = require('../../utils/util.js');

Page({
  data: {
    data: {},
    mobile: '',
    phone: '400-898-6659'
  },
  onLoad: function (options) {
    let userInfo = util.getStorageSync('userInfo');
    let conf = util.getStorageSync('conf');
    if (userInfo) {
      this.setData({
        data: userInfo
      }, () => {
        this.setData({
          mobile: `${userInfo.mobile.slice(0, 3)}****${userInfo.mobile.slice(-4)}`
        })
      })
    }
    if (conf) {
      this.setData({
        phone: conf.telCn
      })
    }
  },
  onReady: function () {
    wx.setNavigationBarTitle({
      title: '我的',
    });
  },
  // 获取数据
  getData() {

  },
  // 登出
  logout() {
    wx.showModal({
      title: '提示',
      content: '确认退出当前账号？',
      success: (res) => {
        if (res.confirm) {
          let params = {};
          params.url = api_mobile_logout;
          net.req(params).then((res) => { });
          wx.clearStorageSync();
          wx.showToast({
            title: '退出成功',
            icon: 'none',
            duration: 1000
          });
          setTimeout(() => {
            wx.reLaunch({
              url: "/pages/loginways/loginways"
            });
          }, 1000);
        }
      }
    })
  },
  // 查看分销商/分销顾问
  toDetail() {
    if (this.data.data.userType == 1) {
      wx.navigateTo({
        url: `/pages/mydistributors/mydistributors`
      })
    } else if (this.data.data.userType == 2) {
      wx.navigateTo({
        url: `/pages/myadvisers/myadvisers`
      })
    }
  },
  // 打电话
  handleMakePhone() {
    let _this = this;
    let systemInfo = util.getStorageSync('systemInfo');
    if (!systemInfo) {
      systemInfo = wx.getSystemInfoSync();
      if (systemInfo) {
        wx.setStorageSync('systemInfo', systemInfo);
      }
    }
    let { system } = systemInfo;
    if (system.toLowerCase().indexOf('ios') !== -1) {
      wx.makePhoneCall({
        phoneNumber: _this.data.phone
      });
    } else {
      wx.showActionSheet({
        itemList: [_this.data.phone],
        success(res) {
          if (res.tapIndex === 0) {
            wx.makePhoneCall({
              phoneNumber: _this.data.phone
            });
          }
        }
      });
    }
  }
})